Create an action plan group
curl --request POST \
--url https://clientapi.woku.app/v1/action-plan-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Atención en tienda",
"conditions": [
{
"trackerId": "<string>",
"operator": "equals",
"value": "<string>"
}
],
"members": [
{
"userId": "<string>"
}
],
"notificationEmails": [
"<string>"
],
"description": "<string>",
"threshold": 300
}
'import requests
url = "https://clientapi.woku.app/v1/action-plan-groups"
payload = {
"name": "Atención en tienda",
"conditions": [
{
"trackerId": "<string>",
"operator": "equals",
"value": "<string>"
}
],
"members": [{ "userId": "<string>" }],
"notificationEmails": ["<string>"],
"description": "<string>",
"threshold": 300
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Atención en tienda',
conditions: [{trackerId: '<string>', operator: 'equals', value: '<string>'}],
members: [{userId: '<string>'}],
notificationEmails: ['<string>'],
description: '<string>',
threshold: 300
})
};
fetch('https://clientapi.woku.app/v1/action-plan-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
v1 - action-plan-groups
Create an action plan group
POST
/
v1
/
action-plan-groups
Create an action plan group
Authorizations
Company secret API key.
Body
application/json
Maximum string length:
120Example:
"Atención en tienda"
Tracker conditions; at least one row is required.
Show child attributes
Show child attributes
Group team; at least one admin (assignees optional).
Show child attributes
Show child attributes
Additional email recipients; grants no membership.
Maximum string length:
500New improvement comments that trigger a plan draft (default 300).
Required range:
x >= 1